===========
AbsModeling
===========

AbsRerankerModel
================

.. autoclass:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel

Methods
-------

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.encode

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.gradient_checkpointing_enable

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.enable_input_require_grads

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.forward

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.compute_loss

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.save

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerModel.save_pretrained


RerankerOutput
==============

.. autoclass:: FlagEmbedding.abc.finetune.reranker.RerankerOutput